Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# bin.hh File Reference

A GtkBin C++ wrapper interface. More...

`#include <xfc/gtk/container.hh>`
`#include <gtk/gtkbin.h>`
`#include <xfc/gtk/inline/bin.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::Bin
    A GtkBin C++ wrapper class. More...

## Detailed Description

A GtkBin C++ wrapper interface.

The Bin widget is a container with just one child. It is not very useful itself, but it is useful for deriving subclasses, since it provides common code needed for handling a single child widget.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3